=== debian/changelog ===
nbsdgames (5-8) unstable; urgency=medium

  * Fix FTCBFS: Don't override dh_auto_build. (Closes: #1066907)
    Thanks Helmut Grohne.

 -- Alex Myczko <tar@debian.org>  Sat, 27 Jul 2024 12:12:29 +0000

nbsdgames (5-7) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 21:05:39 +0000

nbsdgames (5-6) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 09:48:31 +0200

nbsdgames (5-5) experimental; urgency=medium

  * d/install: also install desktop file and icon.

 -- Gürkan Myczko <tar@debian.org>  Mon, 13 Feb 2023 07:15:47 +0100

nbsdgames (5-4) unstable; urgency=medium

  * Really fix the broken purge. (Closes: #1029443)

 -- Gürkan Myczko <tar@debian.org>  Tue, 31 Jan 2023 13:31:17 +0100

nbsdgames (5-3) unstable; urgency=medium

  * d/postrm: fix piuparts regression, drop double code.
  * Bump standards version to 4.6.1.
  * d/control: wrap build-depends.

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 Aug 2022 10:58:46 +0200

nbsdgames (5-2) unstable; urgency=medium

  * d/postinst: add new games.
  * d/rules:
    - drop chown as it is already in postinst.
    - set SCORES_DIR.
  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Wed, 09 Feb 2022 19:26:14 +0100

nbsdgames (5-1) unstable; urgency=medium

  * Initial release. (Closes: #964876)

 -- Gürkan Myczko <tar@debian.org>  Wed, 09 Feb 2022 07:54:08 +0100
