=== debian/control ===
Source: nbsdgames
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 libncurses-dev,
 mmv
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/games-team/nbsdgames.git
Vcs-Browser: https://salsa.debian.org/games-team/nbsdgames
Homepage: https://github.com/abakh/nbsdgames
Rules-Requires-Root: no

Package: nbsdgames
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text based mini games for your terminal
 This is a collection of diverse textual games featuring AI, 2 player mode,
 flexible board size, color, mouse support etc.
 .
 It includes: battleship, checkers, fifteen, fisher, jewels, memoblocks,
 miketron, mines, muncher, pipes, rabbithole, redsquare, reversi, sos,
 sudoku.
