=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export SCORES_DIR=/var/games/nbsdgames

%:
	dh $@

override_dh_auto_clean:
	@echo BROKEN TARGET

override_dh_auto_install:
	@echo USING d/install

override_dh_auto_test:
	@echo INTERACTIVE TESTS?

#execute_after_dh_fixperms:
override_dh_fixperms:
	dh_fixperms
	cd debian/nbsdgames/usr/games; mmv '*' 'nb#1'
	cd debian/nbsdgames/usr/share/man/man6; mmv '*' 'nb#1'
